> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File

> Retrieve an application package file.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json get /platform/appdev/filebasedpackage/packages/{applicationKey}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/filebasedpackage/packages/{applicationKey}:
    get:
      tags:
        - FilebasedPackage
      summary: Get File
      description: Retrieve an application package file.
      parameters:
        - in: path
          name: applicationKey
          required: true
          schema:
            type: string
        - in: query
          name: fileName
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppDevHttpResponseMessage'
            text/json:
              schema:
                $ref: '#/components/schemas/AppDevHttpResponseMessage'
            text/plain:
              schema:
                $ref: '#/components/schemas/AppDevHttpResponseMessage'
          description: OK
components:
  schemas:
    AppDevHttpResponseMessage:
      properties:
        content:
          $ref: '#/components/schemas/AppDevHttpContent'
        headers:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
        isSuccessStatusCode:
          readOnly: true
          type: boolean
        reasonPhrase:
          nullable: true
          type: string
        requestMessage:
          $ref: '#/components/schemas/AppDevHttpRequestMessage'
        statusCode:
          $ref: '#/components/schemas/AppDevHttpStatusCode'
        trailingHeaders:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
        version:
          nullable: true
          type: string
      type: object
    AppDevHttpContent:
      properties:
        headers:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
      type: object
    StringStringIEnumerableKeyValuePair:
      properties:
        key:
          nullable: true
          type: string
        value:
          items:
            type: string
          nullable: true
          type: array
      type: object
    AppDevHttpRequestMessage:
      properties:
        content:
          $ref: '#/components/schemas/AppDevHttpContent'
        headers:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
        method:
          $ref: '#/components/schemas/HttpMethod'
        options:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        properties:
          additionalProperties:
            nullable: true
          deprecated: true
          nullable: true
          readOnly: true
          type: object
        requestUri:
          format: uri
          nullable: true
          type: string
        version:
          nullable: true
          type: string
        versionPolicy:
          $ref: '#/components/schemas/AppDevHttpVersionPolicy'
      type: object
    AppDevHttpStatusCode:
      enum:
        - 100
        - 101
        - 102
        - 103
        - 200
        - 201
        - 202
        - 203
        - 204
        - 205
        - 206
        - 207
        - 208
        - 226
        - 300
        - 301
        - 302
        - 303
        - 304
        - 305
        - 306
        - 307
        - 308
        - 400
        - 401
        - 402
        - 403
        - 404
        - 405
        - 406
        - 407
        - 408
        - 409
        - 410
        - 411
        - 412
        - 413
        - 414
        - 415
        - 416
        - 417
        - 421
        - 422
        - 423
        - 424
        - 426
        - 428
        - 429
        - 431
        - 451
        - 500
        - 501
        - 502
        - 503
        - 504
        - 505
        - 506
        - 507
        - 508
        - 510
        - 511
      format: int32
      type: integer
    HttpMethod:
      properties:
        method:
          nullable: true
          type: string
      type: object
    AppDevHttpVersionPolicy:
      enum:
        - 0
        - 1
        - 2
      format: int32
      type: integer
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````